<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>org.xivo</groupId>
    <artifactId>xivo-javactilib</artifactId>
    <version>2018.05.08</version>
    <packaging>jar</packaging>

    <name>xivo-javactilib</name>
    <url>http://wiki.xivo.fr/</url>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.json</groupId>
            <artifactId>json</artifactId>
            <version>20080701</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.1</version>
        </dependency>
        <dependency>
            <groupId>com.sun.xml.bind</groupId>
            <artifactId>jaxb-impl</artifactId>
            <version>2.1.2</version>
        </dependency>
        <dependency>
            <groupId>javax.xml.bind</groupId>
            <artifactId>jaxb-api</artifactId>
            <version>2.1</version>
        </dependency>
        <dependency>
            <groupId>org.jvnet.jaxb2_commons</groupId>
            <artifactId>jaxb2-basics-runtime</artifactId>
            <version>0.6.4</version>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.11</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.hamcrest</groupId>
            <artifactId>hamcrest-all</artifactId>
            <version>1.3</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.jmock</groupId>
            <artifactId>jmock-junit4</artifactId>
            <version>2.6.0</version>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <sourceDirectory>src/main/java</sourceDirectory>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.0</version>
                <configuration>
                    <source>1.6</source>
                    <target>1.6</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>2.5</version>
            </plugin>

            <plugin>
                <groupId>org.jvnet.jaxb2.maven2</groupId>
                <artifactId>maven-jaxb2-plugin</artifactId>
                <version>0.8.3</version>
                <executions>
                    <execution>
                        <id>jaxb-test</id>
                        <phase>generate-sources</phase>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                        <configuration>
                            <forceRegenerate>true</forceRegenerate>
                            <generatePackage>org.xivo.cti.model.sheet</generatePackage>
                            <schemaDirectory>src/main/xsd</schemaDirectory>
                            <generateDirectory>${project.build.directory}/generated-sources/jaxb</generateDirectory>
                            <schemaIncludes>
                                <include>sheet.xsd</include>
                            </schemaIncludes>
                        </configuration>
                    </execution>
                </executions>
                <configuration>
                    <extension>true</extension>
                    <args>
                        <arg>-XtoString</arg>
                    </args>
                    <plugins>
                        <plugin>
                            <groupId>org.jvnet.jaxb2_commons</groupId>
                            <artifactId>jaxb2-basics</artifactId>
                            <version>0.6.4</version>
                        </plugin>
                    </plugins>
                </configuration>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src</directory>
                <excludes>
                    <exclude>**/*.java</exclude>
                </excludes>
            </resource>
        </resources>
    </build>
    <description>
0.0.25
Add and remove agent from queue

0.0.24.1
Do not crash on Sheet.toString

0.0.23
Parse agent number in queue member config update
Added queue memeber removed message

0.0.22
Decode agent status list or queues

0.0.21
Add EndpointFactory

0.0.20
Refactor Dial command, use Endpoint type

0.0.19
Refactor Originate command, add Endpoint type

0.0.18
Refactor IpbxCommandResponse

0.0.17-SNAPSHOT
Add IpbxCommandResponse Listener and parser for handling error message.

0.0.4-SNAPSHOT
artifactid name changed

0.0.3-SNAPSHOT
- Add CtiResponseMessage and CtiRequest type for better object matching
- Converted Xlet order to String to support case where &quot;dock&quot; order is &quot;cms&quot;
- loginkind agent added
- add AgentStatusUpdate
- add GetAgentsList
- add agentid to UserConfigUpdate
- add GetAgentStatus
- add PhoneHintStatus
- add AgentLogout
- add UserAvailState

0.0.2-SNAPSHOT
- Modified message name: LoginAck -&gt; LoginIdAck

0.0.1-SNAPSHOT
- first version</description>
</project>
